/***************************************************************************
                          my3dcoordentry.cpp  -  description
                             -------------------
    begin                : Fri Jul 6 2001
    copyright            : (C) 2001 by Rdiger Knrig
    email                : ruediger@knoerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "my3dcoordentry.h"
#include "qlabel.h"

My3DCoordEntry::My3DCoordEntry(QWidget *parent, const char *name ) : QWidget(parent,name)
{
	mysizepolicy.setHorData(QSizePolicy::MinimumExpanding);
	mysizepolicy.setVerData(QSizePolicy::Fixed);
	setSizePolicy(mysizepolicy);
	
	mainlayout = new QHBoxLayout(this,10,5,"mainlayout");
	mainlayout->addWidget(new QLabel("x: ",this),0,Qt::AlignLeft | Qt::AlignVCenter);
	mainlayout->addWidget(xentry = new QLineEdit("0.0",this),1,Qt::AlignLeft | Qt::AlignVCenter);
	mainlayout->addWidget(new QLabel("y: ",this),0,Qt::AlignLeft | Qt::AlignVCenter);
	mainlayout->addWidget(yentry = new QLineEdit("0.0",this),1,Qt::AlignLeft | Qt::AlignVCenter);
	mainlayout->addWidget(new QLabel("z: ",this),0,Qt::AlignLeft | Qt::AlignVCenter);
	mainlayout->addWidget(zentry = new QLineEdit("0.0",this),1,Qt::AlignLeft | Qt::AlignVCenter);
}

My3DCoordEntry::~My3DCoordEntry()
{
}
