/***************************************************************************
                          mycolorbutton.cpp  -  description
                             -------------------
    begin                : Mon Jul 9 2001
    copyright            : (C) 2001 by Rdiger Knrig
    email                : ruediger@knoerig.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "mycolorbutton.h"

MyColorButton::MyColorButton(QWidget *parent, const char *name ) : QPushButton(parent,name)
{
	color.setRgb(0,0,0);
	pixmap.fill(color);
	pixmap.resize(20,10);
	setBackgroundColor(color);
	// this->setPixmap(pixmap);
	
	connect(this,SIGNAL(clicked()),this,SLOT(selectColor()));
	
}


MyColorButton::MyColorButton(QColor color,QWidget *parent, const char *name ) : QPushButton(parent,name)
{
	this->color = color;
	setBackgroundColor(color);
	pixmap.fill(color);
	pixmap.resize(20,10);
	this->setPixmap(pixmap);
	
	connect(this,SIGNAL(clicked()),this,SLOT(selectColor()));
	
}

